<?php
/**
 * 
 * @file adminmenu_auth_edit.php
 * @copyright (c) 2005 - 2011 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_adminmenu.php');

$url = 'mod_adminmenu/adminmenu_auth_edit.php';
Common::checkAdminFileAuth($url); //check file authority

$act = kGet('act');
if ($act == 'save') {
    require_once(EIFR_ROOT . 'admin/mod_user_class/class_user_class.php');
    $clComUserClass = new ComUserClass();
    $clComUserClass -> updateAcl();
} else {
    require_once(EIFR_ROOT . 'admin/mod_adminmenu/class_adminmenu.php');
    $clComAdminmenu = new ComAdminmenu();
    $clComAdminmenu -> layout_adminmenu_auth_edit();
} 

?>